Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1932297 - Nagios server rpm missing some nagios-plugins-* dependency
Summary: Nagios server rpm missing some nagios-plugins-* dependency
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: nagios
Version: epel7
Hardware: Unspecified
OS: Unspecified
unspecified
low
Target Milestone: ---
Assignee: Guido Aulisi
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-02-24 13:11 UTC by TJ Yang
Modified: 2021-03-22 00:37 UTC (History)
10 users (show)

Fixed In Version: nagios-4.4.6-3.fc32 nagios-4.4.6-4.fc34 nagios-4.4.6-4.el8 nagios-4.4.6-4.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-03-07 13:52:55 UTC
Type: Bug


Attachments (Terms of Use)

Description TJ Yang 2021-02-24 13:11:47 UTC
Description of problem:

default Nagios install using localhost(127.0.0.1) will failed the ping test due to lack of check_ping rpm.

(No output on stdout) stderr: execvp(/usr/lib64/nagios/plugins/check_ping, ...) failed. errno is 2: No such file or directory

Version-Release number of selected component (if applicable)

How reproducible:

always when installing fresh Nagios environment.

Steps to Reproduce:
1. install nagios main server pkg.
2. start httpd
3. localhost ping test failed

Actual results:


Expected results:
nagios-4.4.6 will auto install nagios-plugins-ping rpm
WHY ? To be more friendly to New Nagios server users. 

Additional info:

Existing require section in Nagios.spec file.

Requires:       httpd
Requires:       php
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
Requires:       mailx
Requires:       nagios-common
Requires:       user(nagios)
Requires:       group(nagios)

Comment 1 TJ Yang 2021-02-24 13:21:04 UTC
If this idea is accepted followings are service checks used by localhost that need to be included as dependency.
 
nagios-plugins-load 
nagios-plugins-users 
nagios-plugins-http 
nagios-plugins-disk 
nagios-plugins-ssh 
nagios-plugins-swap

Comment 2 TJ Yang 2021-02-24 13:30:41 UTC
nagios-plugins-procs is also needed for locahost entry.

Comment 3 Guido Aulisi 2021-02-25 08:26:12 UTC
I don't what would be the best solution for this.
We may comment out localhost monitoring in main nagios, or add dependencies to main package.
I'd prefer to comment out localhost monitoring and let the user configure it after installing the plugins.

Comment 4 TJ Yang 2021-02-25 10:31:39 UTC
or maybe keep localhost entry add post install readme file to describe these missed nagios-plugins needed.
I remember I installed nagios-plugins-all to cover those missed 7 plugins(ended up lots of un-needed plugins).
I like keeping localhost entry for user to have a plug-and-play joy. but that will increase spec file complexity. 
As a pkg maintainer, please feel free to make your decision. Again thank you for taking on this responsibility.

Comment 5 Fedora Update System 2021-02-27 19:02:20 UTC
FEDORA-2021-c213f9921c has been submitted as an update to Fedora 34. https://bodhi.fedoraproject.org/updates/FEDORA-2021-c213f9921c

Comment 6 Fedora Update System 2021-02-27 19:29:57 UTC
FEDORA-2021-b5e897a2e5 has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2021-b5e897a2e5

Comment 7 Fedora Update System 2021-02-27 19:49:04 UTC
FEDORA-EPEL-2021-6fed4b5ffb has been submitted as an update to Fedora EPEL 8. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2021-6fed4b5ffb

Comment 8 Fedora Update System 2021-02-27 20:05:34 UTC
FEDORA-EPEL-2021-548bb74e95 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2021-548bb74e95

Comment 9 Fedora Update System 2021-02-27 21:22:04 UTC
FEDORA-2021-b5e897a2e5 has been pushed to the Fedora 32 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-b5e897a2e5`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-b5e897a2e5

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 10 Fedora Update System 2021-02-27 21:28:16 UTC
FEDORA-EPEL-2021-548bb74e95 has been pushed to the Fedora EPEL 7 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2021-548bb74e95

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 11 Fedora Update System 2021-02-27 21:55:44 UTC
FEDORA-2021-5689072a7e has been pushed to the Fedora 33 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-5689072a7e`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-5689072a7e

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 12 Fedora Update System 2021-02-27 22:10:13 UTC
FEDORA-EPEL-2021-6fed4b5ffb has been pushed to the Fedora EPEL 8 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2021-6fed4b5ffb

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 13 Fedora Update System 2021-03-03 09:16:49 UTC
FEDORA-2021-01a2f76cc3 has been submitted as an update to Fedora 34. https://bodhi.fedoraproject.org/updates/FEDORA-2021-01a2f76cc3

Comment 14 Fedora Update System 2021-03-03 15:47:18 UTC
FEDORA-2021-01a2f76cc3 has been pushed to the Fedora 34 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-01a2f76cc3`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-01a2f76cc3

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 15 Fedora Update System 2021-03-07 11:14:32 UTC
FEDORA-EPEL-2021-e9c2beec98 has been submitted as an update to Fedora EPEL 8. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2021-e9c2beec98

Comment 16 Fedora Update System 2021-03-07 12:08:04 UTC
FEDORA-EPEL-2021-04cc5bcb08 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2021-04cc5bcb08

Comment 17 Fedora Update System 2021-03-07 13:52:55 UTC
FEDORA-2021-5689072a7e has been pushed to the Fedora 33 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 18 Fedora Update System 2021-03-07 13:52:56 UTC
FEDORA-2021-b5e897a2e5 has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 19 Fedora Update System 2021-03-07 15:26:44 UTC
FEDORA-EPEL-2021-04cc5bcb08 has been pushed to the Fedora EPEL 7 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2021-04cc5bcb08

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 20 Fedora Update System 2021-03-07 15:27:33 UTC
FEDORA-EPEL-2021-e9c2beec98 has been pushed to the Fedora EPEL 8 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2021-e9c2beec98

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 21 Fedora Update System 2021-03-19 17:44:20 UTC
FEDORA-2021-01a2f76cc3 has been pushed to the Fedora 34 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 22 Fedora Update System 2021-03-19 20:00:22 UTC
FEDORA-2021-01a2f76cc3 has been pushed to the Fedora 34 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 23 Fedora Update System 2021-03-22 00:31:21 UTC
FEDORA-EPEL-2021-e9c2beec98 has been pushed to the Fedora EPEL 8 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 24 Fedora Update System 2021-03-22 00:37:25 UTC
FEDORA-EPEL-2021-04cc5bcb08 has been pushed to the Fedora EPEL 7 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.